org.eclipse.emf.cdo.common.revision.delta

## Interface CDOFeatureDelta

- All Known Subinterfaces:
    CDOAddFeatureDelta, CDOClearFeatureDelta, CDOContainerFeatureDelta, CDOListFeatureDelta, CDOMoveFeatureDelta, CDORemoveFeatureDelta, CDOSetFeatureDelta, CDOUnsetFeatureDelta, InternalCDOFeatureDelta

      public interface CDOFeatureDelta

  Represents a change delta between two values of a single `feature`.
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOFeatureDelta.Type` Enumerates the possible types of `feature deltas`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_INDEX`
    `static java.lang.Object` | `UNKNOWN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(CDOFeatureDeltaVisitor visitor)`
    `void` | `apply(CDORevision revision)` Deprecated. As of 4.3 use `applyTo(CDORevision)`.
    `java.lang.Object` | `applyTo(CDORevision revision)`
    `CDOFeatureDelta` | `copy()`
    `EStructuralFeature` | `getFeature()`
    `CDOFeatureDelta.Type` | `getType()`
    `boolean` | `isStructurallyEqual(java.lang.Object obj)`

- - ### Field Detail

    - #### NO_INDEX

          static final int NO_INDEX

      Since:
        4.0
      See Also:
        Constant Field Values

    - #### UNKNOWN_VALUE

          static final java.lang.Object UNKNOWN_VALUE

      Since:
        3.0

  - ### Method Detail

    - #### getType

          CDOFeatureDelta.Type getType()

    - #### getFeature

          EStructuralFeature getFeature()

      Since:
        2.0

    - #### apply

          @Deprecated
          void apply(CDORevision revision)

      Deprecated. As of 4.3 use `applyTo(CDORevision)`.

    - #### applyTo

          java.lang.Object applyTo(CDORevision revision)

      Since:
        4.3

    - #### accept

          void accept(CDOFeatureDeltaVisitor visitor)

    - #### copy

          CDOFeatureDelta copy()

      Since:
        3.0

    - #### isStructurallyEqual

          boolean isStructurallyEqual(java.lang.Object obj)

      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html